Subject: Re: [spring] https://datatracker.ietf.org/doc/html/draft-ietf-bess-srv6-services

From: Rajesh M <[email-masked]>
Date: Tue, 18 May 2021 14:03:26 +0000

Thanks Ketan,

My query is

If we allocate SRv6 Service SID per-VRF
Let's assume For this VRF locator assigned is 2001:129:1:13::
DT4 SID is-2001:129:1:13::4
DT6 SID is - 2001:129:1:13::6

a) Now how to support Different flex algo for different routes with in a VRF ?

For VRF1 Prefix 10.129.0.0 I want to use color 129...this is OK

  *   BGP Prefix: 10.129.0.0/16
  *   color: 129
  *   Service SID:  2001:129:1:13::4 (DT4 SID)

For VRF1 Prefix 10.128.0.0 I want to use color 128

  *   Prefix: 10.128.0.0/16
  *   color: 128
  *   Service SID:  ? (I don't have service SID based upon color 128, since above allocation is based upon per vrf)

Thanks
Rajesh

Juniper Business Use Only
From: Ketan Talaulikar (ketant) <[email-masked]>
Sent: Tuesday, May 18, 2021 5:35 PM
To: Rajesh M <[email-masked]>; [email-masked]; Clarence Filsfils (cfilsfil) <[email-masked]>; [email-masked]; [email-masked]; [email-masked]
Subject: RE: https://datatracker.ietf.org/doc/html/draft-ietf-bess-srv6-services

[External Email. Be cautious of content]

Hi Rajesh,

The FlexAlgo for SRv6 is described in https://datatracker.ietf.org/doc/draft-ietf-lsr-flex-algo/<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-lsr-flex-algo/__;!!NEt6yMaO-gk!Xn4WAWuXx98Jdyu7VzfkC3hjctbWJEnPiTUcj_bAML3F17iJrr77ruwLY3XyBBXQ$> and that would require different SRv6 Locators for the FlexAlgo. When the SRv6 Service SID is allocated from the SRv6 Locator for a FlexAlgo then the service flow will be forwarded along with FlexAlgo path.

I am not entirely sure that I got your question though.

Thanks,
Ketan

From: Rajesh M <[email-masked]<mailto:[email-masked]>>
Sent: 17 May 2021 12:30
To: [email-masked]<mailto:[email-masked]>; Clarence Filsfils (cfilsfil) <[email-masked]<mailto:[email-masked]>>; Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: https://datatracker.ietf.org/doc/html/draft-ietf-bess-srv6-services

Hi All,

As per draft
"When providing best-effort connectivity to the egress PE, the ingress
PE encapsulates the payload in an outer IPv6 header where the
destination address is the SRv6 Service SID associated with the
related BGP route update."

If we allocate SRv6 Service SID per-VRF then how to support
a) Different flex algo with in a VRF ?
b) Different flex algo with in a internet (default VRF or global)

Thanks
Rajesh

Juniper Business Use Only